Query Shipping Methods
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/shippingMethods \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/shippingMethods"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/shippingMethods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "<string>",
"Priority": 123,
"GrossPrice": 123,
"ExtraWeight": 123,
"IsAmazonPrime": true
}
]shippingmethod
Query Shipping Methods
Query all shipping methods
GET
/
v1
/
shippingMethods
Query Shipping Methods
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all shipping methods.
Unique ID to identify a shipping method.
Name of the shipping method.
The priority of the shipping method.
Gross price of the shipping method.
Extra weight for each parcel created with the shipping method.
Indicates if seller-fulfilled Amazon Prime should be applied to the shipping method.
Was this page helpful?